/***************************************************************************
                           kaffeineapp.cpp
                             -------------------
    begin                : Die Mai 13 2003
    revision             : $Revision: 1.9 $
    last modified        : $Date: 2004/01/11 13:05:47 $ by $Author: juergenk $
    copyright            : (C) 2003-2004 by J.  Kofler
    email                : kaffeine@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kdebug.h>


#include "kaffeineapp.h"


KaffeineApp::KaffeineApp() : KUniqueApplication(), kaffeine(0)
{
}


KaffeineApp::~KaffeineApp()
{
 delete kaffeine;
}


int KaffeineApp::newInstance()
{

  disableSessionManagement();

  /* parse command line options */

  KCmdLineArgs* args = KCmdLineArgs::parsedArgs();

  if (kaffeine)  /* still running */
  {
  
    KURL::List files;

    QString remote = args->getOption("rc");

    if (args->count() > 0) /* get urls */
    {
      for (int i=0; i<args->count(); i++)
      {
        files.append(args->url(i));
      }
    }

    if (files.count() > 0)  /* send urls to running instance */
    {
      kdDebug(555) << "Send URLs to running instance...\n";
      //kaffeine->showNormal();
      //kaffeine->raise();
      kaffeine->CmdLineArgs(files, args->getOption("device"), false, false, false, args->isSet("enqueue"), args->isSet("verbose") );
      return false;
    }
    if (remote != "do_nothing") /* send remote command */
    {
      kaffeine->ExecuteRemoteCommand(remote);
      return 0;
    }    

    kdDebug(555) << "Kaffeine is still running...\n";
    kaffeine->showNormal(); /* bring kaffeine window in front */
    kaffeine->raise();
    return 0;
 }  

 /* start kaffeine */
  kaffeine = new KMP(0, "main window", args);

  setMainWidget(kaffeine);
  kaffeine->show();

  
  return 0;
}



